#ifndef ASTEROIDSEVENTS_H
#define ASTEROIDSEVENTS_H

#include "EnumToString.h"

namespace asteroids {

BEGIN_ENUM(Event)
{
	DECL_ENUM_ELEMENT(EventAccelerateStart),
	DECL_ENUM_ELEMENT(EventAccelerateStop),
	DECL_ENUM_ELEMENT(EventLevelComplete),
	DECL_ENUM_ELEMENT(EventChangeViewState),
	DECL_ENUM_ELEMENT(EventGameOver),
	DECL_ENUM_ELEMENT(EventShipExplode),
	DECL_ENUM_ELEMENT(EventPlayerDied),
	DECL_ENUM_LAST (Event)
}
END_ENUM(Event)

}

#endif /* ASTEROIDSEVENTS_H */

